ServerEvents.recipes(event => {
  event.remove({ output: 'create:andesite_alloy' })
  event.remove({ output: 'create:empty_blaze_burner' })
  event.remove({ type: 'create:mixing', output: 'create:brass_ingot' })
  event.remove({ type: 'thermal:smelter', output: 'create:brass_ingot' })
  event.remove({ type: 'create:compacting', output: 'create:bar_of_chocolate' })

  event.shaped('create:andesite_alloy', [
    'AZ ',
    'ZA '
  ], {
    A: 'minecraft:andesite',
    Z: 'thermal:tin_nugget'
  })
  event.shaped('create:empty_blaze_burner', [
    'BPB',
    'PNP',
    'BPB',
  ], {
    P: 'create:iron_sheet',
    N: 'minecraft:netherrack',
    B: 'alexscaves:tesla_bulb'
  })

  event.recipes.create.mixing(
    '2x create:brass_ingot',
    ['alexscaves:amber', 'alexscaves:scarlet_neodymium_ingot','alexscaves:azure_neodymium_ingot']
  )
  .heated()
  .id('kubejs:mixing/brass_from_ingots')

  /*event.recipes.create.filling(
    'create:precision_mechanism',
    [Fluid.of('alexscaves:acid', 1000), 'create:flywheel']
  )*/

  event.recipes.createSequencedAssembly(
    ['create:precision_mechanism'],        // output[] — always an array
    'create:flywheel',                     // input
    [
      event.recipes.createDeploying(
        'create:incomplete_precision_mechanism',
        ['create:incomplete_precision_mechanism', 'minecraft:slime_ball']
      ),
      event.recipes.createFilling(
        'create:incomplete_precision_mechanism',
        ['create:incomplete_precision_mechanism', Fluid.of('alexscaves:acid', 600)]
      ),
      event.recipes.createPressing(
        'create:incomplete_precision_mechanism',
        'create:incomplete_precision_mechanism'
      )
    ]
  )
  .transitionalItem('create:incomplete_precision_mechanism')
  .loops(5);
})